Package ru.bitel.bgbilling.modules.botmanager.common.bean

# Class BotManagerConstants

java.lang.Object
ru.bitel.bgbilling.modules.botmanager.common.bean.BotManagerConstants

public class BotManagerConstants extends Object

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `ATTACHMENT_FILE_TITLE`
  `static final String`
  `BOT_STATISTIC_ENABLE`
  `static final String`
  `DIALOG_PROCESSING_CLASS_PATH`
  `static final String`
  `ELEMENT_TYPE_KEY`
  `static final String`
  `ERROR_DIALOG_ID`
  `static final String`
  `IS_INLINE`
  `static final String`
  `KEYBOARD_COUNT_BUTTON_IN_LINE`
  `static final String`
  `LINK_TITLE`
  `static final String`
  `MODULE_AUTO_ADD`
  `static final String`
  `START_DIALOG_ID`
  `static final String`
  `STORAGE_ROOT_PATH`
  `static final String`
  `TEXT_KEY`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `BotManagerConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### TEXT_KEY

    public static final String TEXT_KEY
    See Also:
      - Constant Field Values

  - ### ELEMENT_TYPE_KEY

    public static final String ELEMENT_TYPE_KEY
    See Also:
      - Constant Field Values

  - ### DIALOG_PROCESSING_CLASS_PATH

    public static final String DIALOG_PROCESSING_CLASS_PATH
    See Also:
      - Constant Field Values

  - ### STORAGE_ROOT_PATH

    public static final String STORAGE_ROOT_PATH
    See Also:
      - Constant Field Values

  - ### KEYBOARD_COUNT_BUTTON_IN_LINE

    public static final String KEYBOARD_COUNT_BUTTON_IN_LINE
    See Also:
      - Constant Field Values

  - ### START_DIALOG_ID

    public static final String START_DIALOG_ID
    See Also:
      - Constant Field Values

  - ### ERROR_DIALOG_ID

    public static final String ERROR_DIALOG_ID
    See Also:
      - Constant Field Values

  - ### LINK_TITLE

    public static final String LINK_TITLE
    See Also:
      - Constant Field Values

  - ### ATTACHMENT_FILE_TITLE

    public static final String ATTACHMENT_FILE_TITLE
    See Also:
      - Constant Field Values

  - ### IS_INLINE

    public static final String IS_INLINE
    See Also:
      - Constant Field Values

  - ### MODULE_AUTO_ADD

    public static final String MODULE_AUTO_ADD
    See Also:
      - Constant Field Values

  - ### BOT_STATISTIC_ENABLE

    public static final String BOT_STATISTIC_ENABLE
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### BotManagerConstants

    public BotManagerConstants()